## dlm 0.7-1

=== DESCRIPTION ===
Package: dlm
Title: Functions for DLM Analysis
Version: 0.7-1
Date: 2006-08-22
Author: Giovanni Petris
Description: Maximum likelihood and Bayesian analysis
  of Dynamic Linear Models 
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (version 2 or later)
Packaged: Fri Aug 25 10:12:24 2006; hornik
