## dlm 0.8-1

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 0.8-1
Date: 2007-11-14
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>
Description: Maximum likelihood, Kalman filtering and smoothing, and Bayesian
  analysis of Normal linear State Space models, also known as 
  Dynamic Linear Models 
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (version 2 or later)
Packaged: Mon Nov 19 10:31:32 2007; gpetris
