## dlm 0.9-1

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 0.9-1
Date: 2008-05-30
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>
Description: Maximum likelihood, Kalman filtering and smoothing, and Bayesian
  analysis of Normal linear State Space models, also known as 
  Dynamic Linear Models 
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (>= 2)
Packaged: Fri May 30 11:32:53 2008; gpetris
