## dlm 0.99-0

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 0.99-0
Date: 2009-01-14
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>
Description: Maximum likelihood, Kalman filtering and smoothing, and Bayesian
  analysis of Normal linear State Space models, also known as 
  Dynamic Linear Models 
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (>= 2)
Packaged: Wed Jan 14 11:34:26 2009; gpetris
