## dlm 0.trunk20050206

=== lib/Makefile ===
--- 
+++ 
@@ -10,19 +10,19 @@
 ##
 ###############################################################################
 ###############################################################################
-STATICLIB=libdlm.a
 
-SOURCE=libdlm.c
+SOURCE=libdlm.c libaislock.c
 
 LIBNAME=libdlm
-SHAREDLIB=$(LIBNAME).so.${RELEASE_MAJOR}.${RELEASE_MINOR}
+SHAREDLIB=$(LIBNAME).so.${RELEASE_MAJOR}.${RELEASE_MINOR} $(LIBNAME)_lt.so.${RELEASE_MAJOR}.${RELEASE_MINOR}
+STATICLIB=$(LIBNAME).a $(LIBNAME)_lt.a
 
 top_srcdir=..
 UNINSTALL=${top_srcdir}/scripts/uninstall.pl
 
 include ${top_srcdir}/make/defines.mk
 
-CFLAGS += -g -O -D_REENTRANT -fpic -I.
+CFLAGS += -g -O -I. -fPIC
 
 ifneq (${KERNEL_SRC}, )
 # Use the kernel tree if patched, otherwise, look where cluster headers
@@ -37,15 +37,37 @@
 
 all: $(STATICLIB) $(SHAREDLIB)
 
-$(LIBNAME).a: libdlm.o
-	${AR} r libdlm.a libdlm.o
+$(LIBNAME).a: libdlm.o libaislock.o
+	${AR} cr libdlm.a libdlm.o libaislock.o
 	${RANLIB} libdlm.a 
 
-$(LIBNAME).so.${RELEASE_MAJOR}.${RELEASE_MINOR}: libdlm.po
-	$(CC) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(RELEASE_MAJOR) $^
+$(LIBNAME)_lt.a: libdlm_lt.o 
+	${AR} r libdlm_lt.a libdlm_lt.o 
+	${RANLIB} libdlm_lt.a 
+
+$(LIBNAME).so.${RELEASE_MAJOR}.${RELEASE_MINOR}: libdlm.po libaislock.po
+	$(LD) -shared -o $@ -soname=$(LIBNAME).so.$(RELEASE_MAJOR) $^
+
+$(LIBNAME)_lt.so.${RELEASE_MAJOR}.${RELEASE_MINOR}: libdlm_lt.po
+	$(CC) -shared -o $@ -Wl,-soname=$(LIBNAME)_lt.so.$(RELEASE_MAJOR) $^
 
 libdlm.po: libdlm.c
-	$(CC) $(CFLAGS) -fPIC -c -o $@ $<
+	$(CC) $(CFLAGS) -D_REENTRANT -c -o $@ $<
+
+libdlm.o: libdlm.c
+	$(CC) $(CFLAGS) -D_REENTRANT -c -o $@ $<
+
+libaislock.po: libaislock.c
+	$(CC) $(CFLAGS) -D_REENTRANT -c -o $@ $<
+
+libaislock.o: libaislock.c
+	$(CC) $(CFLAGS) -D_REENTRANT -c -o $@ $<
+
+libdlm_lt.po: libdlm.c
+	$(CC) $(CFLAGS) -c -o $@ $<
+
+libdlm_lt.o: libdlm.c
+	$(CC) $(CFLAGS) -c -o $@ $<
 
 copytobin: all
 
@@ -55,17 +77,25 @@
 	install libdlm.h ${incdir}
 	install -d ${libdir}
 	install $(LIBNAME).a ${libdir}
+	install $(LIBNAME)_lt.a ${libdir}
 	install $(LIBNAME).so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir}
+	install $(LIBNAME)_lt.so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir}
 	ln -sf $(LIBNAME).so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir}/$(LIBNAME).so
 	ln -sf $(LIBNAME).so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir}/$(LIBNAME).so.$(RELEASE_MAJOR)
+	ln -sf $(LIBNAME)_lt.so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir}/$(LIBNAME)_lt.so
+	ln -sf $(LIBNAME)_lt.so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir}/$(LIBNAME)_lt.so.$(RELEASE_MAJOR)
 
 uninstall:
 	${UNINSTALL} libdlm.h ${incdir}
 	${UNINSTALL} \
 		${LIBNAME}.a \
+		${LIBNAME}_lt.a \
 		$(LIBNAME).so \
+		$(LIBNAME)_lt.so \
 		$(LIBNAME).so.$(RELEASE_MAJOR) \
-		${LIBNAME}.so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir}
+		${LIBNAME}.so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir} \
+		$(LIBNAME)_lt.so.$(RELEASE_MAJOR) \
+		${LIBNAME}_lt.so.$(RELEASE_MAJOR).$(RELEASE_MINOR) ${libdir}
 	rm -f /lib/${LIBNAME}.*
 
 clean:
