## dlm 1.0-0

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 1.0-0
Date: 2009-04-15
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>
Description: Maximum likelihood, Kalman filtering and smoothing, and
        Bayesian analysis of Normal linear State Space models, also
        known as Dynamic Linear Models
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (>= 2)
Packaged: Wed Apr 15 12:44:06 2009; gpetris
Repository: CRAN
Date/Publication: 2009-04-15 18:13:23
