## dlm 1.0-1

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 1.0-1
Date: 2009-05-25
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>
Description: Maximum likelihood, Kalman filtering and smoothing, and
        Bayesian analysis of Normal linear State Space models, also
        known as Dynamic Linear Models
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (>= 2)
Packaged: 2009-05-27 10:25:49 UTC; gpetris
Repository: CRAN
Date/Publication: 2009-05-27 12:12:25
