## dlm 1.0-2

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 1.0-2
Date: 2009-06-12
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>
Description: Maximum likelihood, Kalman filtering and smoothing, and
        Bayesian analysis of Normal linear State Space models, also
        known as Dynamic Linear Models
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (>= 2)
Packaged: 2009-06-14 14:27:00 UTC; gpetris
Repository: CRAN
Date/Publication: 2009-06-16 15:21:22
