## dlm 1.1-0

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 1.1-0
Date: 2010-02-15
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>
Description: Maximum likelihood, Kalman filtering and smoothing, and
        Bayesian analysis of Normal linear State Space models, also
        known as Dynamic Linear Models
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (>= 2)
Packaged: 2010-02-15 18:19:44 UTC; gpetris
Repository: CRAN
Date/Publication: 2010-02-15 19:36:19
