## dlm 1.1-3

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 1.1-3
Date: 2013-03-26
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>.  Original C code for ARMS
        by Wally Gilks.
Description: Maximum likelihood, Kalman filtering and smoothing, and
        Bayesian analysis of Normal linear State Space models, also
        known as Dynamic Linear Models
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (>= 2)
Packaged: 2013-03-26 15:23:04 UTC; gpetris
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-03-26 17:55:15
