## dlm 1.1-4

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 1.1-4
Date: 2014-09-16
Suggests: MASS
Author: Giovanni Petris <GPetris@uark.edu>.
  Original C code for ARMS by Wally Gilks.
Description: Maximum likelihood, Kalman filtering and smoothing, and Bayesian
  analysis of Normal linear State Space models, also known as 
  Dynamic Linear Models 
Maintainer: Giovanni Petris <GPetris@uark.edu>
License: GPL (>= 2)
Packaged: 2014-09-16 17:17:15 UTC; gpetris
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-09-16 23:53:05
