## dlm 1.1-5

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 1.1-5
Date: 2018-05-30
Suggests: MASS
Imports: stats, utils, methods, grDevices, graphics
Authors@R: c(
    person("Giovanni", "Petris", email = "GPetris@uark.edu", role = c("aut", "cre")),
    person("Wally", "Gilks", role = "ctb", comment = "Author of original C code for ARMS"))
Description: Provides routines for Maximum likelihood,
    Kalman filtering and smoothing, and Bayesian
    analysis of Normal linear State Space models, also known as 
    Dynamic Linear Models. 
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2018-06-13 15:31:19 UTC; gpetris
Author: Giovanni Petris [aut, cre],
  Wally Gilks [ctb] (Author of original C code for ARMS)
Maintainer: Giovanni Petris <GPetris@uark.edu>
Repository: CRAN
Date/Publication: 2018-06-13 19:16:46 UTC
