## dlm 1.1-6

=== DESCRIPTION ===
Package: dlm
Title: Bayesian and Likelihood Analysis of Dynamic Linear Models
Version: 1.1-6
Date: 2022-11-12
Suggests: MASS
Imports: stats, utils, methods, grDevices, graphics
Authors@R: c(
    person("Giovanni", "Petris", email = "GPetris@uark.edu", role = c("aut", "cre")),
    person("Wally", "Gilks", role = "ctb", comment = "Author of original C code for ARMS"))
Maintainer: Giovanni Petris <GPetris@uark.edu>
Description: Provides routines for Maximum likelihood,
    Kalman filtering and smoothing, and Bayesian
    analysis of Normal linear State Space models, also known as 
    Dynamic Linear Models. 
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2022-11-25 20:09:08 UTC; gpetris
Author: Giovanni Petris [aut, cre],
  Wally Gilks [ctb] (Author of original C code for ARMS)
Repository: CRAN
Date/Publication: 2022-11-28 09:50:04 UTC
