=== debian/changelog ===
dlm (4.0.1-0ubuntu1) saucy; urgency=low

  * Initial release:
    - DLM used to be part of redhat-cluster source package. However,
      upstream made 'cluster' obsolete and separated DLM (along with
      other components) into their own projects. The binaries this
      package builds will replace some of those redhat-cluster builds.
  * debian/patches:
    - fix_lib_dir.patch: Use correct installation path.
    - fix_init_script.patch: Use $remote_fs for Required-{Start,Stop}.
    - fix_manpages.patch: Fix manpages for them to be lintian clean.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 23 Jul 2013 15:50:10 -0400
