=== debian/control ===
Source: dlm
Section: admin
Priority: optional
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), libcfg-dev, pacemaker-dev, libxml2-dev, libsystemd-daemon-dev, libqb-dev
Standards-Version: 3.9.4
Homepage: https://git.fedorahosted.org/git/dlm.git

Package: dlm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cman
Replaces: cman
Description: DLM - Distributed lock manager binaries
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 These are the binaries that interface with the lock manager.
 The lock manager itself is a kernel module.

Package: libdlm3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: udev (<< 0.136-1), libdlm3 (<= 3.1.8-1.1)
Replaces: libdlm3 (<= 3.1.8-1.1)
Description: DLM - distributed lock manager library
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This is the client library for applications using the lock manager.
 The lock manager itself is a kernel module.

Package: libdlm-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdlm3 (= ${binary:Version})
Breaks: libdlm-dev (<= 3.1.8-1.1)
Replaces: libdlm-dev (<= 3.1.8-1.1)
Description: DLM - distributed lock manager development files
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This package contains the files needed for developing applications
 that use the lock manager.

Package: libdlmcontrol3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libdlmcontrol3 (<= 3.1.8-1.1)
Replaces: libdlmcontrol3 (<= 3.1.8-1.1)
Description: DLM - distributed lock manager library
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This is the client library for applications using the lock manager.
 The lock manager itself is a kernel module.

Package: libdlmcontrol-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdlmcontrol3 (= ${binary:Version})
Breaks: libdlmcontrol-dev (<= 3.1.8-1.1)
Replaces: libdlmcontrol-dev (<= 3.1.8-1.1)
Description: DLM - distributed lock manager development files
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This package contains the files needed for developing applications
 that use the lock manager.
