=== debian/control ===
Source: dlm
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Ferenc Wágner <wferi@niif.hu>,
 Christoph Berg <myon@debian.org>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
 dh-systemd,
 libcfg-dev (>= 1.99),
 libcpg-dev (>= 1.99),
 libcmap-dev (>= 1.99),
 libquorum-dev (>= 1.99),
 libsystemd-dev,
 libstonithd-dev,
 libxml2-dev,
 pkg-config
Homepage: https://fedorahosted.org/cluster/wiki/HomePage
Vcs-Git: https://anonscm.debian.org/git/debian-ha/dlm.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/dlm.git/

Package: dlm
Architecture: any
Depends:
 corosync,
 ${misc:Depends},
 ${shlibs:Depends},
# we're taking over /usr/sbin/dlm_{controld,tool}
Breaks:
 cman,
Replaces:
 cman,
Description: Distributed Lock Manager control daemon
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This package contains the control daemon and utility.

Package: libdlm3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Distributed Lock Manager library
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This is the client library for applications using the lock manager.

Package: libdlm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdlm3 (= ${binary:Version})
Description: Distributed Lock Manager library development
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the DLM library.

Package: libdlmcontrol3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Distributed Lock Manager control library
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This is the client library for applications using the lock manager daemon?

Package: libdlmcontrol-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdlmcontrol3 (= ${binary:Version})
Description: Distributed Lock Manager control library development
 DLM is a symmetric general-purpose distributed lock manager.
 The lock manager itself is a kernel module.
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the DLM control library.
