=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure that we link against all needed libraries (cf. Policy 10.2)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# Avoid useless dependencies in the utilities
export DEB_LDFLAGS_MAINT_APPEND+=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with systemd

override_dh_auto_install:
	dh_auto_install -- LIBNUM=/lib/$(DEB_HOST_MULTIARCH)

DEFDIR=debian/dlm/etc/default
SDDIR= debian/dlm/lib/systemd/system
override_dh_install:
	dh_install --fail-missing
	mkdir -p "$(DEFDIR)" "$(SDDIR)"
	cp init/dlm.sysconfig "$(DEFDIR)"/dlm
	cp init/dlm.service "$(SDDIR)"
