## dlm 4.0.6

=== debian/changelog ===
dlm (4.0.6-1) unstable; urgency=medium

  * [3805ad8] New upstream release (4.0.6)

 -- Ferenc Wágner <wferi@niif.hu>  Fri, 24 Jun 2016 12:54:01 +0200

dlm (4.0.5-1) unstable; urgency=medium

  * [9945090] Imported Upstream version 4.0.5
    - Fix for the fencing error I introduced in 4.0.4.
  * [745d5fe] Update Standards-Version to 3.9.8 (no changes needed)
  * [97c2659] New patch Enable-systemctl-help-dlm-to-show-relevant-man-
    pages.patch
  * [8b8406a] Automatic debug packages got rid of our overridden Lintian tag

 -- Ferenc Wágner <wferi@niif.hu>  Wed, 27 Apr 2016 12:16:53 +0200
