=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dlm
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Ferenc Wágner <wferi@niif.hu>,
  Christoph Berg <myon@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  dh-systemd,
  libcfg-dev (>= 1.99),
@@ -20,7 +19,7 @@
 Vcs-Git: https://anonscm.debian.org/git/debian-ha/dlm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/dlm.git/
 
-Package: dlm
+Package: dlm-controld
 Architecture: any
 Depends:
  corosync,
