=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 override_dh_auto_install:
 	dh_auto_install -- LIBNUM=/lib/$(DEB_HOST_MULTIARCH)
 
-DEFDIR=debian/dlm/etc/default
-SDDIR= debian/dlm/lib/systemd/system
+DEFDIR=debian/dlm-controld/etc/default
+SDDIR= debian/dlm-controld/lib/systemd/system
 override_dh_install:
 	dh_install --fail-missing
 	mkdir -p "$(DEFDIR)" "$(SDDIR)"
