=== debian/changelog ===
dlm (4.0.7-4) unstable; urgency=medium

  * [5063137] Add patch to fix cross build from source (Closes: #913866)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 18 Nov 2018 10:02:59 +0100

dlm (4.0.7-3) unstable; urgency=medium

  * [a517b75] Add patch for gcc warning
  * [7af1126] Add patch to fix Makefile exit code (Closes: #911177)
  * [ff4c1c8] Update my email address in Uploaders
  * [fb72494] Update Standards-Version to 4.2.1
  * [36e9ac4] Add missing Build-Depends-Package to libdlmcontrol3.symbols

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 Nov 2018 19:01:58 +0100

dlm (4.0.7-2) unstable; urgency=medium

  * [3157881] Use pagure upstream instead of fedorahosted
  * [7fac16c] Use salsa repo instead of alioth
  * [376d06f] Update debhelper to v11
  * [3816de3] Fix gbp warnings in gbp.conf
  * [5145fca] Add patches for gcc warnings
  * [18c8c18] Add lintian override for AppStream warning
  * [582eb04] Add kmod to Depends
  * [6b24fa7] Add some simple autopkgtests
  * [a34f67c] Add myself to Uploaders
  * [7897617] Update Standards-Version to 4.1.4

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 26 Apr 2018 11:42:36 +0200

dlm (4.0.7-1) unstable; urgency=medium

  [ Christoph Berg ]
  * [9272a43] Remove Martin and myself from Uploaders.

  [ Ferenc Wágner ]
  * [3d39df9] DLM is Linux-only, don't try building on other architectures
  * [716e4e3] New upstream release (4.0.7)
  * [f5ffbae] Delete upstreamed patch, refresh the rest
  * [4dd6d43] Don't require the config file
  * [601dd41] Migrate to my Debian address
  * [d7953c9] General handling of CFLAGS, CPPFLAGS and LDFLAGS
  * [94735fd] New patch Don-t-link-dlm_stonith-against-libxml2.patch
  * [3744427] No need for --as-needed anymore

 -- Ferenc Wágner <wferi@debian.org>  Mon, 19 Dec 2016 23:53:33 +0100
