=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
-Uploaders: Ferenc Wágner <wferi@niif.hu>,
- Christoph Berg <myon@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
- dh-systemd,
+Uploaders: Ferenc Wágner <wferi@debian.org>,
+ Valentin Vidic <vvidic@debian.org>
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11),
  libcfg-dev (>= 1.99),
  libcpg-dev (>= 1.99),
  libcmap-dev (>= 1.99),
@@ -15,14 +14,15 @@
  libstonithd-dev,
  libxml2-dev,
  pkg-config
-Homepage: https://fedorahosted.org/cluster/wiki/HomePage
-Vcs-Git: https://anonscm.debian.org/git/debian-ha/dlm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/dlm.git/
+Homepage: https://pagure.io/dlm
+Vcs-Browser: https://salsa.debian.org/ha-team/dlm
+Vcs-Git: https://salsa.debian.org/ha-team/dlm.git
 
 Package: dlm-controld
-Architecture: any
+Architecture: linux-any
 Depends:
  corosync,
+ kmod,
  ${misc:Depends},
  ${shlibs:Depends},
 # we're taking over /usr/sbin/dlm_{controld,tool}
@@ -38,7 +38,7 @@
 
 Package: libdlm3
 Section: libs
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends}
@@ -50,7 +50,7 @@
 
 Package: libdlm-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
  libdlm3 (= ${binary:Version})
@@ -63,7 +63,7 @@
 
 Package: libdlmcontrol3
 Section: libs
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends}
@@ -75,7 +75,7 @@
 
 Package: libdlmcontrol-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
  libdlmcontrol3 (= ${binary:Version})
