=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,10 @@
 # Ensure that we link against all needed libraries (cf. Policy 10.2)
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
 
-# Avoid useless dependencies in the utilities
-export DEB_LDFLAGS_MAINT_APPEND+=-Wl,--as-needed
-
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install -- LIBNUM=/lib/$(DEB_HOST_MULTIARCH)
