=== debian/watch ===
version=4
https://releases.pagure.org/dlm/ dlm-(.*).tar.gz debian uupdate
