## dlm 4.0.8

=== dlm_controld/Makefile ===
--- 
+++ 
@@ -31,40 +31,28 @@
              rbtree.c
 LIB_SOURCE = lib.c
 
-BIN_CFLAGS += -D_GNU_SOURCE -O2 -ggdb \
-	-Wall \
-	-Wformat \
-	-Wformat-security \
-	-Wmissing-prototypes \
-	-Wnested-externs \
-	-Wpointer-arith \
-	-Wextra -Wshadow \
-	-Wcast-align \
-	-Wwrite-strings \
-	-Waggregate-return \
-	-Wstrict-prototypes \
-	-Winline \
-	-Wredundant-decls \
-	-Wno-sign-compare \
-	-Wno-unused-parameter \
-	-Wp,-D_FORTIFY_SOURCE=2 \
-	-fexceptions \
-	-fasynchronous-unwind-tables \
-	-fdiagnostics-show-option \
+CFLAGS += -D_GNU_SOURCE -O2 -ggdb \
+	-Wall -Wformat -Wformat-security -Wmissing-prototypes -Wnested-externs \
+	-Wpointer-arith -Wextra -Wshadow -Wcast-align -Wwrite-strings \
+	-Waggregate-return -Wstrict-prototypes -Winline -Wredundant-decls \
+	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
+	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
+	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
+	-fstack-clash-protection -Wl,-z,now
 
-BIN_CFLAGS += -fPIE -DPIE
+BIN_CFLAGS += $(CFLAGS) -fPIE -DPIE
 BIN_CFLAGS += -I../include -I../libdlm
+LIB_CFLAGS += $(CFLAGS) -fPIC
 
-BIN_LDFLAGS += -Wl,-z,now -Wl,-z,relro -pie
+BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -pie
 BIN_LDFLAGS += -lpthread -lrt -lcpg -lcmap -lcfg -lquorum
+LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -pie
 
-LIB_CFLAGS += $(BIN_CFLAGS)
-LIB_LDFLAGS += -Wl,-z,relro -pie
-
+PKG_CONFIG ?= pkg-config
 ifeq ($(USE_SD_NOTIFY),yes)
-	BIN_CFLAGS += $(shell pkg-config --cflags libsystemd) \
+	BIN_CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) \
 		      -DUSE_SD_NOTIFY
-	BIN_LDFLAGS += $(shell pkg-config --libs libsystemd)
+	BIN_LDFLAGS += $(shell $(PKG_CONFIG) --libs libsystemd)
 endif
 
 all: $(LIB_TARGET) $(BIN_TARGET)
@@ -73,7 +61,7 @@
 	$(CC) $(BIN_SOURCE) $(BIN_CFLAGS) $(BIN_LDFLAGS) -o $@ -L.
 
 $(LIB_TARGET): $(LIB_SOURCE)
-	$(CC) $^ $(LIB_CFLAGS) $(LIB_LDFLAGS) -shared -fPIC -o $@ -Wl,-soname=$(LIB_SMAJOR)
+	$(CC) $^ $(LIB_CFLAGS) $(LIB_LDFLAGS) -shared -o $@ -Wl,-soname=$(LIB_SMAJOR)
 	ln -sf $(LIB_TARGET) $(LIB_SO)
 	ln -sf $(LIB_TARGET) $(LIB_SMAJOR)
