=== debian/changelog ===
dlm (4.0.8-1) unstable; urgency=medium

  * [0f134dd] Upstream does not provide tarballs anymore
  * [948d36e] Switch to the merged Pacemaker dev package
  * [05d2feb] Update Standards-Version to 4.3.0
  * [79db167] Switch to dh_missing
  * [ad3febd] Bump Debhelper compat level to 12
  * [583193a] Refresh copyright years
  * [8b55e90] New upstream release (4.0.8)
  * [a7bb130] Delete upstreamed patches, refresh the rest (ordering problems
    reemerged!)
  * [3f917a6] The __DATE__ and __TIME__ macros are reproducible now in GCC

 -- Ferenc Wágner <wferi@debian.org>  Tue, 15 Jan 2019 15:26:46 +0100
