=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Ferenc Wágner <wferi@debian.org>,
  Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12),
  libcfg-dev (>= 1.99),
  libcpg-dev (>= 1.99),
  libcmap-dev (>= 1.99),
  libquorum-dev (>= 1.99),
  libsystemd-dev,
- libstonithd-dev,
+ pacemaker-dev,
  libxml2-dev,
  pkg-config
 Homepage: https://pagure.io/dlm
