=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 DEFDIR=debian/dlm-controld/etc/default
 SDDIR= debian/dlm-controld/lib/systemd/system
 override_dh_install:
-	dh_install --fail-missing
+	dh_install
 	mkdir -p "$(DEFDIR)" "$(SDDIR)"
 	cp init/dlm.sysconfig "$(DEFDIR)"/dlm
 	cp init/dlm.service "$(SDDIR)"
+
+override_dh_missing:
+	dh_missing --fail-missing
